Hi,

I decided to upgrade my Python 2.1.1 to Python 2.1.2 (in order to gently
move to 2.5 later).

My Zope instances were working quite fine....but...randomly I got a core
dump (!) and the following message in logs :

assertion "STACK_LEVEL() <= f->f_stacksize" failed: file "Python/ceval.c",
line 687


Bug seems to appear when playing with ZCatalog (CMF sites could'nt even
render a page) and Python scripts ?

After some hours of researches, I have a (dirty, really) fix :

I had to modify Python sources and hack line 687 in ceval.c  : I removed
it...
Then recompile and it seems to work. I know this is dirty, and my Zope my
crash later.

PLEASE CHECK and HELP !

This looks like a major serious bug to me.

Cheers,

Olivier.


_______________________________________________
Zope-Dev maillist  -  [EMAIL PROTECTED]
http://lists.zope.org/mailman/listinfo/zope-dev
**  No cross posts or HTML encoding!  **
(Related lists - 
 http://lists.zope.org/mailman/listinfo/zope-announce
 http://lists.zope.org/mailman/listinfo/zope )

Reply via email to